import React, {useState} from 'react';
import ReactDOM from 'react-dom';
import { range } from 'd3';
import { useData } from './useData';
import { LineChart } from './LineChart';

const width = window.innerWidth;
const height = window.innerHeight;

const App = () => {
  // const [link, setLink] = useState('https://raw.githubusercontent.com/CSSEGISandData/COVID-19/master/csse_covid_19_data/csse_covid_19_time_series/time_series_covid19_deaths_global.csv');
  const [link, setLink] = useState('https://raw.githubusercontent.com/CSSEGISandData/COVID-19/master/csse_covid_19_data/csse_covid_19_time_series/time_series_covid19_recovered_global.csv');
  const data = useData(link);
  React.useEffect(() => {
  	setTimeout(() => {
    	console.log('CHANGE LINK');
      setLink('https://raw.githubusercontent.com/CSSEGISandData/COVID-19/master/csse_covid_19_data/csse_covid_19_time_series/time_series_covid19_deaths_global.csv');
    }, 2000);
  }, [])
  return data
    ? <LineChart data={data} width={width} height={height} />
    : <div>Loading...</div>;
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
